Bug 1543467 - A-MQ Components not visible in Java Console when using IE11 browser
Summary: A-MQ Components not visible in Java Console when using IE11 browser
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.7.1
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 3.7.z
Assignee: Alexandre Kieling
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1518407 1543435
Blocks: 1519573 1543396 1543402 1543525 1543532
TreeView+ depends on / blocked
 
Reported: 2018-02-08 14:04 UTC by Alexandre Kieling
Modified: 2018-04-05 09:39 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Use of javascript Array/String methods not supported by IE11 (Array.find, Array.findIndex, String.startsWith, String.endsWith) Consequence: Error that prevents some A-MQ pages to show content when the user clicks on a tree node Fix: Replace the unsupported methods with the Lodash library equivalent methods Result: A-MQ pages show their content as expected
Clone Of: 1543435
: 1543525 1543532 (view as bug list)
Environment:
Last Closed: 2018-04-05 09:38:31 UTC
Target Upstream Version:


Attachments (Terms of Use)
The left pane shows nothing -- IE 11 (31.77 KB, image/png)
2018-02-14 06:03 UTC, Junqi Zhao
no flags Details
The left/right pane are normal -- firefox (132.70 KB, image/png)
2018-02-14 06:04 UTC, Junqi Zhao
no flags Details
karaf2-camel-amq-template.json (18.53 KB, text/plain)
2018-02-14 06:05 UTC, Junqi Zhao
no flags Details
console error -- IE 11 (55.81 KB, image/png)
2018-02-14 06:10 UTC, Junqi Zhao
no flags Details
The right pane shows details about the selected tree node -- IE 11 (86.46 KB, image/png)
2018-02-23 12:18 UTC, Junqi Zhao
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0636 None None None 2018-04-05 09:39:21 UTC

Comment 1 Alexandre Kieling 2018-02-12 14:04:20 UTC
Pull request:
https://github.com/openshift/origin-web-console/pull/2789

Comment 3 Junqi Zhao 2018-02-14 06:01:46 UTC
The left pane shows nothing in IE11, but it is normal in firefox, see the attached pictures.

IE Version: 11.248.16299.0
# openshift version
openshift v3.7.29
kubernetes v1.7.6+a08f5eeb62
etcd 3.2.8




Steps:
1. oc create -f https://raw.githubusercontent.com/jboss-fuse/application-templates/master/fis-image-streams.json -n openshift
2. $ oc new-project YOUR_PROJECT
$ use the attached karaf2-camel-amq-template.json
oc create -f karaf2-camel-amq-template.json 
$ oc new-app s2i-karaf2-camel-amq

3. open java console for broker-amq* pod

Comment 4 Junqi Zhao 2018-02-14 06:03:36 UTC
Created attachment 1395768 [details]
The left pane shows nothing -- IE 11

Comment 5 Junqi Zhao 2018-02-14 06:04:36 UTC
Created attachment 1395769 [details]
The left/right pane are normal -- firefox

Comment 6 Junqi Zhao 2018-02-14 06:05:08 UTC
Created attachment 1395770 [details]
karaf2-camel-amq-template.json

Comment 7 Junqi Zhao 2018-02-14 06:10:00 UTC
Error in console when open java console for broker-amq* pod
SCRIPT438: Object does not support property or method 'findIndex'
libs-3239db0851.js

Comment 8 Junqi Zhao 2018-02-14 06:10:33 UTC
Created attachment 1395771 [details]
console error -- IE 11

Comment 9 Alexandre Kieling 2018-02-14 10:43:57 UTC
Attachment "console error -- IE 11 (55.81 KB, image/png)" shows the openshift-jvm version is 1.1.8, when it should be 1.2.6.

Comment 10 Junqi Zhao 2018-02-23 12:18:19 UTC
jvm version is is now 1.2.6
The right pane shows details about the selected tree node in IE 11 now, see the attached picture.

IE Version: 11.248.16299.0
# openshift version
openshift v3.7.31
kubernetes v1.7.6+a08f5eeb62
etcd 3.2.8

Comment 11 Junqi Zhao 2018-02-23 12:18:45 UTC
Created attachment 1399848 [details]
The right pane shows details about the selected tree node -- IE 11

Comment 15 errata-xmlrpc 2018-04-05 09:38:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0636


Note You need to log in before you can comment on or make changes to this bug.